Bug 107530 - ifup does not accept valid phone numbers for GPRS PPP connections, and fails.
ifup does not accept valid phone numbers for GPRS PPP connections, and fails.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 02:28 EDT by Mike MacCana
Modified: 2014-03-16 22:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2003-10-20 02:28:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030801
Mozilla Firebird/0.6.1

Description of problem:
GPRS connections are almost exactly the same as modem PPP connections,  but the
phone number is a little different...

From one of the entries in my wvdial.conf, created by redhat-config-network

Username = test
Password = test
Phone = *99***6#

If I start the connection through wvdial, it dials the number and connects.
However, if I use ifup ppp0, some applications (I'm not sure which) seems to be
disliking the perfectly valid phone number (and, even more oddly, the username
and password). From my messages file:

Oct 20 16:13:06 nailbox ifup-ppp: pppd started for ppp0 on /dev/rfcomm0 at 57600
Oct 20 16:13:06 nailbox pppd[5832]: pppd 2.4.1 started by root, uid 0
Oct 20 16:13:07 nailbox wvdial[5850]: WvDial: Internet dialer version 1.53
Oct 20 16:13:07 nailbox wvdial[5850]: Warning: section [Dialer grrsbt] does not
exist in wvdial.conf.
Oct 20 16:13:07 nailbox wvdial[5850]: Initializing modem.
Oct 20 16:13:08 nailbox wvdial[5850]: Sending: ATZ
Oct 20 16:13:08 nailbox wvdial[5850]: ATZ
Oct 20 16:13:08 nailbox wvdial[5850]: OK
Oct 20 16:13:08 nailbox wvdial[5850]: Modem initialized.
Oct 20 16:13:08 nailbox wvdial[5850]: Configuration does not specify a valid
phone number.
Oct 20 16:13:08 nailbox wvdial[5850]: Configuration does not specify a valid
login name.
Oct 20 16:13:08 nailbox wvdial[5850]: Configuration does not specify a valid
password.

Again, I've been hunting for the script that generates these messages and I'm
still unsure. This may be a bug in another package.

Thanks,

Mike

Version-Release number of selected component (if applicable):
7.28-1

How reproducible:
Always

Steps to Reproduce:
1.Set up a PPP connection using a GPRS phone number
2.Start the connection with wvdial. 
3.Start the connection with ifup
    

Actual Results:  wvdial works, ifup fails claiming the phone number, username
and password are invalid.

Expected Results:  It shouldn't complain, as the phone number is perfectly
valid, as are the other details.

Additional info:
Comment 1 Bill Nottingham 2003-10-20 16:43:49 EDT
What happens if you escape the # with a \?
Comment 2 Mike MacCana 2003-10-20 19:58:54 EDT
Same thing. Line now looks like:

Phone = *99***6\#
Comment 3 Bill Nottingham 2005-09-30 15:59:03 EDT
Going through bugs on older, no longer supported, releases. Apologies for any
lack of response.

I'm assuming this still happens?
Comment 4 John Thacker 2006-05-05 16:32:32 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.